Subject: Re: [PATCH] http/remote-curl: coddle picky servers

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 21 Jan 2010 08:24:02 -0800

Tay Ray Chuan <[email-masked]> wrote:
> On Fri, Jan 22, 2010 at 12:07 AM, Mike Hommey <[email-masked]> wrote:
> > Look closely at the start of the requested URL: /gitweb.cgi...
> > It comes from this rule:
> >
> > RewriteCond %{QUERY_STRING} ^(.+)$
> > RewriteRule ^/(.*)$ /gitweb.cgi$1 [L,PT]
> >
> > which is global to the virtual host.
> >
> > Anyways, while git.debian.org can certainly be fixed for that, other
> > servers may want to do some different things with urls with parameters.
> 
> heh, I was suspecting some URL rewriting was going on.
> 
> Is this an issue that should be fixed in gitweb?

I don't see why it should be.  gitweb isn't a service CGI.  I find
it odd that someone would configure their website to route anything
with a query string into gitweb.  WTF?

-- 
Shawn.